# Wi-Fi network connected

A decision block that checks if Wi-Fi is connected to a network (access point).

If the proceed option is set to Immediately, then check if Wi-Fi is currently connected to a network without pausing the fiber. If set to When changed, then the fiber will pause until a connection has been established, or was disconnected.

If both Network name and Network address are empty, or evaluate to `null`, then check if any network is connected, or disconnected.

Security flags (bitwise) for the connected network:

Value | Description
--- | ---
`0x01` | WPA
`0x02` | WPA2
`0x04` | WEP

Note! This feature may require that the system Location setting is enabled on Android 6+.

## Options

- Proceed — when the fiber should proceed.

## Input arguments

- Network name — name of network to check.
- Network address — address of network to check.

## Output variables

- Network name — variable to assign the name of the connected network (SSID).
- Network address — variable to assign the address of the connected network (BSSID).
- Network link speed — variable to assign the theoretical maximum connection speed of the connected network hardware, in bits per second.
- Network frequency — variable to assign the frequency of the connected network hardware, in Hz. (Android 5+)
- Network security — variable to assign the security of the connected network. (Android 9-)
- IP address — variable to assign the IP address of the device on the connected network.